> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Regular Endpoint

> Create either a regular or multi-LORA endpoint based on the request body



## OpenAPI

````yaml POST /endpoints/create_regular_endpoint
openapi: 3.0.1
info:
  title: FlexAI API
  description: API for managing datasets, fine-tuning models, and handling ML tasks
  version: 1.0.0
servers:
  - url: https://api.getflex.ai/v1
security:
  - bearerAuth: []
paths:
  /endpoints/create_regular_endpoint:
    post:
      summary: Create Endpoint
      description: Create either a regular or multi-LORA endpoint based on the request body
      operationId: createEndpoint
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRegularEndpointRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  endpoint_id:
                    type: string
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CreateRegularEndpointRequest:
      type: object
      required:
        - name
        - model_name
        - checkpoint_id
        - compute
        - idle_timeout_seconds
      properties:
        name:
          type: string
        model_name:
          type: string
        compute:
          type: string
          enum:
            - T4
            - A100-40GB
            - A100-80GB
            - A10G
            - A100-80GB
            - L4
        checkpoint_id:
          type: string
        idle_timeout_seconds:
          type: integer
          default: 60
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````